Bug 492563 - Curl update fails
Curl update fails
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 09:31 EDT by Masoud Pajoh
Modified: 2009-08-11 08:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-11 08:26:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Masoud Pajoh 2009-03-27 09:31:00 EDT
Description of problem:
Trying to update curl after passing dependency check YUM says:

Transaction Check Error:   file /usr/share/man/man1/curl.1.gz from 
install of curl-7.19.4-3.fc10.x86_64 conflicts with file from package 
curl-7.18.2-9.fc10.i386

Thanks.  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Is this caused the same as [URL="https://bugzilla.redhat.com/show_bug.cgi?id=485659"]this.[/URL]
Comment 1 Kamil Dudka 2009-03-27 11:49:33 EDT
I can't see any curl.i386 package in Fedora 10 x86_64 repository. There are only libcurl and libcurl-devel i386 packages. Have you installed it manually?
Comment 2 Masoud Pajoh 2009-03-29 16:24:03 EDT
This was automatically installed for dependencies for KDE i386.
I did remove the curl.i386, and some KDE i386 along with it and the CURL then updated.

Since I did not intentionally installed curl.i386 and it was installed as result of other packages needing it, I think the message submitted above is the result of a bug either in packages or yum or both.

Thanks for the reply.
Comment 3 Kamil Dudka 2009-03-30 13:06:35 EDT
Please do you remember (or could find in log) the packages which were removed along with curl.i386? It sounds to me like the curl package is not culprit of the conflict.

We should reassign it to the package which requires curl.i386 on x86_64 system. It is AFAIK not possible to install both curl.i386 and curl.x86_64 together as there is only one /usr/bin/curl.
Comment 4 Fedora Admin XMLRPC Client 2009-04-03 05:22:15 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Kamil Dudka 2009-08-11 08:26:20 EDT
No activity so far, so I am closing the bug now. Feel free to reopen when you have some new info, e.g. steps to reproduce.

Note You need to log in before you can comment on or make changes to this bug.